[Frugalware-darcs] frugalware-current: ladspa_sdk-1.12-1-i686

crazy crazy at frugalware.org
Thu Mar 2 15:47:10 CET 2006


[ladspa_sdk-1.12-1-i686
crazy <crazy at frugalware.org>**20060302135630
 * New package
] {
adddir ./extra/source/lib/ladspa_sdk
addfile ./extra/source/lib/ladspa_sdk/FrugalBuild
hunk ./extra/source/lib/ladspa_sdk/FrugalBuild 1
+# Last Modified: Thu, 02 Mar 2006 14:53:03 +0100
+# Compiling Time: 0 SBU
+# Maintainer: crazy <crazy at frugalware.org>
+
+pkgname=ladspa_sdk
+pkgver=1.12
+pkgrel=1
+pkgdesc="Linux Audio Developer's Simple Plugin API."
+url="http://www.ladspa.org/"
+depends=('libstdc++' 'time')
+## don't change that isn't updated since 2002 :|
+up2date=$pkgver
+source=($url/download/${pkgname}_${pkgver}.tgz ladspa.sh makefile.patch)
+groups=('lib-extra')
+archs=('i686')
+sha1sums=('36a3a7a00f96281ca443dcae15d33f462398c4d4' \
+          '45283d51d293227ca40857991d39ad0a6296ab2f' \
+          '2f7bc759e069040938ca728343bdc9a4c2d07b43')
+
+export LADSPA_PATH=/usr/lib/ladspa
+
+build ()
+{
+
+	Fcd $pkgname
+	Fpatchall
+	cd src
+	Fsed "-O3" "${CFLAGS}" makefile
+	make || return 1
+	make DESTDIR=$Fdestdir install || return 1
+	Fmkdir /usr/share/doc/${pkgname}_${pkgver}
+	cp -ra $Fsrcdir/$pkgname/doc/* $Fdestdir/usr/share/doc/${pkgname}_${pkgver}
+	Frm /usr/share/doc/${pkgname}_${pkgver}/*.txt
+	Fexe /etc/profile.d/ladspa.sh
+}
+
+# optimalization OK
+
+# vim: ft=sh
addfile ./extra/source/lib/ladspa_sdk/ladspa.sh
hunk ./extra/source/lib/ladspa_sdk/ladspa.sh 1
+#!/bin/sh
+
+export LADSPA_PATH=/usr/lib/ladspa
addfile ./extra/source/lib/ladspa_sdk/makefile.patch
hunk ./extra/source/lib/ladspa_sdk/makefile.patch 1
+diff -Naur ladspa_sdk/src/makefile ladspa_sdk-patched/src/makefile
+--- ladspa_sdk/src/makefile	2002-07-06 19:34:20.000000000 +0200
++++ ladspa_sdk-patched/src/makefile	2006-03-02 14:50:14.000000000 +0100
+@@ -4,10 +4,10 @@
+ #
+ # Change these if you want to install somewhere else. In particularly
+ # you may wish to remove the middle "local/" part of each entry.
+-
+-INSTALL_PLUGINS_DIR	=	/usr/local/lib/ladspa/
+-INSTALL_INCLUDE_DIR	=	/usr/include/
+-INSTALL_BINARY_DIR	=	/usr/local/bin/
++DESTDIR			=
++INSTALL_PLUGINS_DIR	=	${DESTDIR}/usr/lib/ladspa/
++INSTALL_INCLUDE_DIR	=	${DESTDIR}/usr/include/
++INSTALL_BINARY_DIR	=	${DESTDIR}/usr/bin/
+ 
+ ###############################################################################
+ #
+@@ -51,15 +51,13 @@
+ 	@echo ---------------------------------------------
+ 	@echo First listen to the white noise input signal:
+ 	@echo ---------------------------------------------
+-	play ../snd/noise.wav
+ 	@echo -------------------------
+ 	@echo Compare to plugin output.
+ 	@echo -------------------------
+ 	@echo Should be a noise band around 6000Hz, repeated quietly after 1s.
+-	play /tmp/test.wav
+ 
+ install:	targets
+-	-mkdirhier	$(INSTALL_PLUGINS_DIR)				\
++	mkdir -p	$(INSTALL_PLUGINS_DIR)				\
+ 			$(INSTALL_INCLUDE_DIR)				\
+ 			$(INSTALL_BINARY_DIR)
+ 	cp ../plugins/* $(INSTALL_PLUGINS_DIR)
}


More information about the Frugalware-darcs mailing list